List all data providers
curl --request GET \
--url https://prod.truv.com/v1/providers/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/providers/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/providers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "adp",
"name": "ADP",
"data_source": "payroll",
"logo_url": "https://cdn.truv.com/providers/adp.svg",
"is_disabled": false,
"success_rate": "high",
"category": "w2"
}
],
"next": "<string>",
"previous": "<string>"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Data Providers
List all data providers
The endpoint returns a list of data providers filtered by the query parameter product_type.
GET
/
v1
/
providers
/
List all data providers
Authorizations
Client ID
Client Access Key
Query Parameters
Data source.
Available options:
payroll, docs, insurance, financial_accounts, tax, scoring_attributes Example:
"payroll"
Product type.
Available options:
income, employment, deposit_switch, pll, insurance, transactions, assets Search query by a name.
Category of the provider.
Available options:
gig, benefits, w2, financial_institution, insurance, tax, education Example:
"w2"
Which field to use when ordering the results. The default is by ascending id.
Available options:
id, -id, name, -name, rank, -rank Example:
"id"
A page number within the paginated result set.
Number of results to return per page.
Was this page helpful?